<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
loadJS('jquery-validate');
loadJS('jquery-validate-messages');

$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$finalidade=$sessao->getVar('finalidade');


$userAmo = new amostras();
$userAmo->extras_select = "WHERE fic_id=$amostraLong";
$userAmo->selecionaTudo($userAmo);
$resAmo = $userAmo->retornaDados();
$finalizou=$resAmo->fic_status_finalizada;//
//echo("finalizoru=$finalizou<br>");



//echo $finalidade;
$protocolo=0;
if($finalidade=='DEFINITIVA'):
   $protocolo=$resAmo->fic_amostra;
else:
   $protocolo=$resAmo->fic_amostra_previa;
endif;
$ano=$resAmo->fic_ano;





$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
$vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);

//se foi solictado PUR
$realizouPUR=strrpos($vetorCapturaGeral[44],'PUR');
$assinalouPUR='NAO';
if(strlen($realizouPUR)>0) $assinalouPUR='SIM';

//se foi solictado GER
$realizouGER=strrpos($vetorCapturaGeral[44],'GER');
$assinalouGER='NAO';
if(strlen($realizouGER)>0) $assinalouGER='SIM';

//se foi solictado EAC
$realizouEAC=strrpos($vetorCapturaGeral[44],'EAC');
$assinalouEAC='NAO';
if(strlen($realizouEAC)>0) $assinalouEAC='SIM';

//se foi solictado DOS
$realizouDOS=strrpos($vetorCapturaGeral[44],'DOS');
$assinalouDOS='NAO';
if(strlen($realizouDOS)>0) $assinalouDOS='SIM';

//se foi solictado PMS
$realizouPMS=strrpos($vetorCapturaGeral[44],'PMS');
$assinalouPMS='NAO';
if(strlen($realizouPMS)>0) $assinalouPMS='SIM';

//se foi solictado TZO
$realizouTZO=strrpos($vetorCapturaGeral[44],'TZO');
$assinalouTZO='NAO';
if(strlen($realizouTZO)>0) $assinalouTZO='SIM';

//vai fechar ou abrir a tela de protocolo de amostra
if (isset($_POST['bt_alterna_fechar_abrir'])):
  $userNota = new generica();
  if($finalizou=="NAO"):
     // echo("Vai fechar amostra<br>");
	 $sql="update ficha set fic_status_finalizada='SIM'  where  fic_id = " .$amostraLong;
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
  else:
     //echo("Vai reabrir amostra<br>");
	 $sql="update ficha set fic_status_finalizada='NAO'  where  fic_id = " .$amostraLong;
     $userNota->campos_valores = $sql;				 
	 $userNota->inserirEspecial($userNota);
  endif;//testa se é aberta ou fechada
endif;//fim do isset fechar abrir

if(isset($_POST['manual'])):
   echo '<iframe src="manual2010.php?opcaoManual=raiox" style="border:5px dotted red" width="100%" height="350"></iframe>';//funciona
endif;	



/////////////////////
if (isset($_POST['bt_consolidar'])):
	  $master=$sessao->getVar('master');
	  //echo("nomeTeste= $nomeTeste master  $master<br>");
	  if($master=='s'):
        echo("Fechamento de todos testes desta amostra<br>");
		//fecha o teste pureza
		$sql="update rean1 set rea_finalizada='s'  where  rea_teste='PURE' && rea_ficha = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        $userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);
		
		//fecha o teste germinacao
		$sql="update rean1 set rea_finalizada='s'  where  rea_teste='GERM' && rea_ficha = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //fecha o teste eac
		$sql="update rean1 set rea_finalizada='s'  where  rea_teste='EAC' && rea_ficha = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //fecha o teste PMS
		$sql="update rean1 set rea_finalizada='s'  where  rea_teste='PMS' && rea_ficha = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //fecha o teste TZO
		$sql="update rean1 set rea_finalizada='s'  where  rea_teste='TZO' && rea_ficha = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //fecha o teste dosn
		$sql="update ficha set fic_finalizada_nocivas='s'  where  fic_id = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //fecha o teste dosn
		$sql="update ficha set fic_status_finalizada='SIM'  where  fic_id = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);

        //coloca data da conslidacao
		$dataConsolidacao=date("d/m/Y");
		$sql="update ficha set fic_consolidada_data_rt='".$dataConsolidacao."'  where  fic_id = " .$amostraLong;
	    //echo("sql de gravacao=$sql<br>");
        //$userNota = new generica();
        $userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);
	   else://se nao for master
	   		printMSG('Para consolidar amostra  precisa estar logado como ADMINISTRADOR. ' ,'alerta');
	   endif;//confirma se clicou em sim	
endif;//final do isset bt_fechar

//verifica se pureza esta fechada
$user=new rean1();
$user->extras_select = "WHERE  rea_teste='PURE'  && rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$operadorPUR='-';
$dataPUR='-';
$valorPUR='-';
$finalizadaPUR='Não consta';
if ($user->linhasafetadas==1):
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$dataSalvada=$res->rea_datageralteste;
	$valorPUR=$res->rea_v1;
	$operadorPUR=$res->rea_operador;
	$dataPUR=date("d/m/Y",strtotime($dataSalvada));
    if($res->rea_finalizada=='s'):
	   $finalizadaPUR='Fechada';
	else:
	   $finalizadaPUR='Aberta';
	endif;
endif;

//germinacao
$user->extras_select = "WHERE  rea_teste='GERM'  && rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$operadorGER='-';
$dataGER='-';
$valorGER='-';
$finalizadaGER='Não consta';
if ($user->linhasafetadas==1):
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$dataSalvada=$res->rea_datageralteste;
	$valorGER=$res->rea_v1;
	$operadorGER=$res->rea_operador;
	$dataGER=date("d/m/Y",strtotime($dataSalvada));
	//$stringFinalizadaGER=$res->rea_finalizada;
    if($res->rea_finalizada=='s'):
	   $finalizadaGER='Fechada';
	else:
	   $finalizadaGER='Aberta';
	endif;
endif;





//eac
$user->extras_select = "WHERE  rea_teste='EAC'  && rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$operadorEAC='-';
$dataEAC='-';
$valorEAC='-';
$finalizadaEAC='Não consta';
if ($user->linhasafetadas==1):
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$dataSalvada=$res->rea_datageralteste;
	$valorEAC=$res->rea_v1;
	$operadorEAC=$res->rea_operador;
	$dataEAC=date("d/m/Y",strtotime($dataSalvada));
    if($res->rea_finalizada=='s'):
	   $finalizadaEAC='Fechada';
	else:
	   $finalizadaEAC='Aberta';
	endif;
endif;

//PMS
$user->extras_select = "WHERE  rea_teste='PMS'  && rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$finalizadaPMS='Não consta';
$dataPMS='-';
$operadorPMS='-';
if ($user->linhasafetadas==1):
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$dataSalvada=$res->rea_datageralteste;
	$dataPMS=date("d/m/Y",strtotime($dataSalvada));
	$valorPMS=$res->rea_v1;
	$operadorPMS=$res->rea_operador;
    if($res->rea_finalizada=='s'):
	   $finalizadaPMS='Fechada';
	else:
	   $finalizadaPMS='Aberta';
	endif;
endif;




//TZO
$user->extras_select = "WHERE  rea_teste='TZO'  && rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$finalizadaTZO='Não consta';
$dataTZO='-';
$operadorTZO='-';
if ($user->linhasafetadas==1):
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$dataSalvada=$res->rea_datageralteste;
	$dataTZO=date("d/m/Y",strtotime($dataSalvada));
	$valorTZO=$res->rea_v1;
	$operadorTZO=$res->rea_operador;
    if($res->rea_finalizada=='s'):
	   $finalizadaTZO='Fechada';
	else:
	   $finalizadaTZO='Aberta';
	endif;
endif;

//ESTES CAMPOS VAI PEGAR DA TABELA FICHA
//DOSN

$userAmo->extras_select = "WHERE fic_finalizada_nocivas='s' && fic_id=".$amostraLong;
$userAmo->selecionaTudo($userAmo);
$finalizadaDOS='Aberta';
if ($userAmo->linhasafetadas==1)$finalizadaDOS='Fechada';
$operadorDOS=$vetorRaioX[215];//operador
$dataDOS=$vetorRaioX[216];//data
$valorDOS="-";//valor



$finalizadaPRO='Aberta';
if ($finalizou=='SIM')$finalizadaPRO='Fechada';
$operadorPRO=$vetorRaioX[240];//
$dataPRO=date("d/m/Y",strtotime($resAmo->fic_dt_entrada));//data
$valorPRO="-";//valor



//captura DATA CONSOLIDACAO e testa se esta fechada ou aberta
$userAmo->extras_select = "WHERE fic_id=$amostraLong";
$userAmo->selecionaTudo($userAmo);
$resAmo = $userAmo->retornaDados();
$dataConsolidacao=$resAmo->fic_consolidada_data_rt;//data consolidacao
if(strlen($dataConsolidacao)==10)$dataConsolidacao='Data consolidação:'.$dataConsolidacao;
if($resAmo->fic_status_finalizada =='SIM'):
    $legenda_alterna_fechar_abrir='Abrir';
    $finalizadaPRO='Fechada' ;//finalizada
else:
    $legenda_alterna_fechar_abrir='Fechar';
    $finalizadaPRO='Aberta';
endif;







?>



<html>
<body bgcolor="#c7cfc5">
<form class="userform" method="post" action="">
     <h2><?php echo ("Raio X da amostra $finalidade protocolo=$protocolo    ano= $ano <br>");?>
  </h2>

      <!--SEMPRE A MESMA ORDEM ITEM FULANO DATA-->
      <fieldset>
      <table width="500">
                <thead>
                <tr>
                    <th align="Left">Evento</th><th  align="Left">Operador</th><th align="Left">Data</th><th align="Left">Resultado</th><th align="Left">Status</th><th align="Left">Solicitado</th>
                </tr>
            </thead>


      <tr>
      <td>Registro: </td> 
	  <td> <?php echo $operadorPRO;?>  </td><!--operador-->
	  <td><?php echo  $dataPRO;?>  </td><!--data-->
	  <td><?php echo  $valorPRO;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaPRO;?>  </td><!--finalizada-->
	  <td><input type="submit"  name="bt_alterna_fechar_abrir"  value="<?php echo  $legenda_alterna_fechar_abrir; ?>" /> </td><!--TESTE SOLICITADO-->  
	  
	  
	  
	  </tr>

      <tr>
      <td>Pureza: </td> 
	  <td> <?php echo $operadorPUR;?>  </td><!--operador-->
	  <td><?php echo  $dataPUR;?>  </td><!--data-->
	  <td><?php echo  $valorPUR;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaPUR;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouPUR;?>  </td><!--TESTE SOLICITADO-->
	  </tr>

      <tr>
      <td>Germinação: </td> 
	  <td> <?php echo $operadorGER;?>  </td><!--operador-->
	  <td><?php echo  $dataGER;?>  </td><!--data-->
	  <td><?php echo  $valorGER;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaGER.$stringFinalizadaGER;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouGER;?>  </td><!--TESTE SOLICITADO-->
	  </tr>

      <tr>
      <td>EAC: </td> <!--evento-->
	  <td> <?php echo $operadorEAC;?>  </td><!--operador-->
	  <td><?php echo  $dataEAC;?>  </td><!--data-->
	  <td><?php echo  $valorEAC;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaEAC;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouEAC;?>  </td><!--TESTE SOLICITADO-->
	  </tr>
	  
      <tr>
      <td>DOS: </td>  <!--evento-->
	  <td> <?php echo $operadorDOS;?>  </td><!--operador-->
	  <td><?php echo  $dataDOS;?>  </td><!--data-->
	  <td><?php echo  $valorDOS;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaDOS;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouDOS;?>  </td><!--TESTE SOLICITADO-->
	  </tr>
	  
      <tr>
      <td>PMS: </td> 
	  <td> <?php echo $operadorPMS;?>  </td><!--operador-->
	  <td><?php echo  $dataPMS;?>  </td><!--data-->
	  <td><?php echo  $valorPMS;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaPMS;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouPMS;?>  </td><!--TESTE SOLICITADO-->
	  </tr>
      <tr>

      <tr>
      <td>TZO: </td> 
	  <td> <?php echo $operadorTZO;?>  </td><!--operador-->
	  <td><?php echo  $dataTZO;?>  </td><!--data-->
	  <td><?php echo  $valorTZO;?>  </td><!--valor-->
	  <td><?php echo  $finalizadaTZO;?>  </td><!--finalizada-->
	  <td><?php echo  $assinalouTZO;?>  </td><!--TESTE SOLICITADO-->
	  </tr>
      <tr>

		</table>  
		</fieldset> 
		
		
		<table>
		<tr>
        <td>
			<input type="submit" name="manual" value="Ajuda" />
            <input type="submit" name="bt_consolidar" value="CONSOLIDAR amostra(Só o RT)" />
			<?php echo $dataConsolidacao;?>
		</td>		
		</tr>
		</table>
 
</form>
</body>



</html>
